/*
 * IndexedVectorsUnitTest.hpp
 *
 *  Created on: Jul 29, 2012
 *      Author: heber
 */

#ifndef INDEXEDVECTORSUNITTEST_HPP_
#define INDEXEDVECTORSUNITTEST_HPP_

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif


#include <cppunit/extensions/HelperMacros.h>

#include "Fragmentation/Summation/SetValues/IndexedVectors.hpp"

/********************************************** Test classes **************************************/

class IndexedVectorsTest : public CppUnit::TestFixture
{
    CPPUNIT_TEST_SUITE( IndexedVectorsTest) ;
    CPPUNIT_TEST ( Constructor_Test );
    CPPUNIT_TEST ( operatorPlusEqual_Test );
    CPPUNIT_TEST ( operatorMinusEqual_Test );
    CPPUNIT_TEST ( equality_Test );
    CPPUNIT_TEST_SUITE_END();

public:
      void setUp();
      void tearDown();
      void Constructor_Test();
      void operatorPlusEqual_Test();
      void operatorMinusEqual_Test();
      void equality_Test();

private:
      IndexedVectors *ivectors;
      IndexedVectors *otherivectors;
      IndexedVectors::vector_t ones;
      IndexedVectors::vector_t twos;
      IndexedVectors::vector_t threes;

};

#endif /* INDEXEDVECTORSUNITTEST_HPP_ */
